Create flag trigger
Create a new flag trigger.
Authorizations
Path Parameters
The project key
The environment key
The feature flag key
Body
The unique identifier of the integration for your trigger. Use generic-trigger for integrations not explicitly supported.
"generic-trigger"
Optional comment describing the trigger
"example comment"
The action to perform when triggering. This should be an array with a single object that looks like {"kind": "flag_action"}. Supported flag actions are turnFlagOn and turnFlagOff.
Response
Flag trigger response
The ID of this flag trigger
"12ab3c45de678910abc12345"
The flag trigger version
1
Timestamp of when the flag trigger was created
"1654104600000"
The ID of the flag trigger maintainer
"12ab3c45de678910abc12345"
Details on the member who maintains this flag trigger
Whether the flag trigger is currently enabled
true
The trigger state: active, inactive, or failed
active, inactive, failed "active"
Timestamp of when the trigger most recently entered failed state
"1654114600000"
The unique identifier of the integration for your trigger
"generic-trigger"
Details on the action to perform when triggering
"[ { \"kind\": \"turnFlagOn\" }]"
Timestamp of when the trigger was most recently executed
"1654114600000"
Details on recent flag trigger requests.
Number of times the trigger has been executed
3
The unguessable URL for this flag trigger
The location and content type of related resources